Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
onlinetypelist.php File Reference

Go to the source code of this file.

## Variables
| $language_file = "onlinetype.php"
| $page_path = "/address/onlinetype"
| $item_type = new eZOnlineType()
| $item_type_array = $item_type->getAll()
| $move_item = true
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZAddressMain", "Language" )
| $DOC_ROOT = $ini->variable( "eZAddressMain", "DocumentRoot" )
| $t
| $item_error = true
if(empty( $HTTP_REFERER)) | else
| $count = count( $item_type_array )
| $i = 0

## Variable Documentation

## ◆ $count

$count = count( $item_type_array )

Definition at line 108 of file onlinetypelist.php.

Referenced by eZPerson\addAddress(), eZPerson\addOnline(), eZPerson\addPhone(), eZPerson\addUser(), eZCodeMapper\appendDirectMapping(), eZCodeMapper\appendReplaceMapping(), eZCodeMapper\appendTransposeMapping(), eZContentLanguage\classCount(), eZOrderConfirmation\confirm(), eZImageCategory\countByParent(), eZMediaCategory\countByParent(), eZArticle\createIndex(), eZForumMessage\createIndex(), createQuizMenu(), eZList\drawList(), eZArticle\forms(), eZProduct\forms(), eZHit\getLinkHits(), eZObjectPermission\getObjects(), eZLinkCategory\getTotalIncomingLinks(), ezups\getxml(), eZSurvey\hasCompleted(), ezpContentPublishingProcess\isProcessing(), eZMediaCategory\mediaCount(), eZSurvey\numberOfPages(), eZSurvey\numberOfQuestions(), eZQuestion\numberOfQuestionsChoices(), eZSurvey\numberOfSurveys(), eZContentLanguage\objectCount(), eZContentLanguage\objectInitialCount(), eZFSFileHandler\purge(), eZDFSFileHandler\purge(), ezpContentRepository\queryCount(), eZQuestion\questionNumber(), ezpNativeUserAuthFilter\run(), eZForum\search(), eZArticle\search(), eZOrderConfirmation\sendMail(), eZCartItem\setCount(), eZWishListItem\setCount(), eZCart\shippingCost(), eZPageViewQuery\topVisitors(), and eZCompany\yearViewCounts().

## ◆ $DOC_ROOT

$DOC_ROOT = $ini->variable( "eZAddressMain", "DocumentRoot" )

Definition at line 39 of file onlinetypelist.php.

## ◆ $i

$i = 0

Definition at line 111 of file onlinetypelist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 37 of file onlinetypelist.php.

## ◆ $item_error

$item_error = true

Definition at line 54 of file onlinetypelist.php.

## ◆ $item_type

$item_type = new eZOnlineType()

Definition at line 33 of file onlinetypelist.php.

## ◆ $item_type_array

$item_type_array = $item_type->getAll()

Definition at line 34 of file onlinetypelist.php.

## ◆ $Language

$Language = $ini->variable( "eZAddressMain", "Language" )

Definition at line 38 of file onlinetypelist.php.

## ◆ $language_file

$language_file = "onlinetype.php"

Definition at line 30 of file onlinetypelist.php.

## ◆ $move_item

$move_item = true

Definition at line 35 of file onlinetypelist.php.

## ◆ $page_path

$page_path = "/address/onlinetype"

Definition at line 31 of file onlinetypelist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezaddress/admin/" . $ini->variable( "eZAddressMain", "AdminTemplateDir" ),
"kernel/ezaddress/admin/" . "/intl", $Language, $language_file )
eZTemplate
Definition: eztemplate.php:107
$language_file
$language_file
Definition: onlinetypelist.php:30
$Language
$Language
Definition: onlinetypelist.php:38
$ini
$ini
Definition: onlinetypelist.php:37

Definition at line 50 of file onlinetypelist.php.

## ◆ else

foreach ($item_type_array as $item) if ($count< 1) else

Initial value:
{
$back_command = $HTTP_REFERER

Definition at line 67 of file onlinetypelist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.